%define upstream_name    Tk-Pod
%define upstream_version 0.9943

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Simple Pod browser with hypertext capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Pod::Simple) >= 2.50.0
BuildRequires: perl(Tk) >= 800.4.0
BuildArch:  noarch

%description
Simple Pod browser with hypertext capabilities in a 'Toplevel' widget

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# tests hang on build-system
#xvfb-run %make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_bindir}/tk*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.994.300-4.mga8
+ Revision: 1506845
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.994.300-3.mga7
+ Revision: 1287129
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.994.300-2.mga7
+ Revision: 1167207
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.994.300-1.mga7
+ Revision: 1159460
- update to 0.9943

* Sun Jun 19 2016 pterjan <pterjan> 0.994.200-5.mga6
+ Revision: 1035407
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.994.200-4.mga6
+ Revision: 946987
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.994.200-3.mga5
+ Revision: 742238
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.994.200-2.mga5
+ Revision: 686728
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.994.200-1.mga5
+ Revision: 586225
- update to 0.9942

* Fri Oct 18 2013 umeabot <umeabot> 0.994.100-3.mga4
+ Revision: 515774
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.994.100-2.mga3
+ Revision: 374459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.994.100-1.mga3
+ Revision: 342713
- update to 0.9941

* Tue Jun 05 2012 jquelin <jquelin> 0.994.0-1.mga3
+ Revision: 255544
- update to 0.9940

* Sun Jan 23 2011 jquelin <jquelin> 0.993.900-1.mga1
+ Revision: 34408
- mageia rebuild
- imported package perl-Tk-Pod

